#!/usr/bin/perl -w
#
# Script to send SMS with SMS Server Tools in shell or can be called by sms.cgi.
# Number can be either in STDIN or be given as first parameter for  script.
#
# example:
#
# echo "message"|sendsms.pl 491721234567
#
# or number in file:
#
# (a.txt contains following text:)
# TO: 491721234567
#
# message text is here
#
# cat a.txt|sendsms.pl
#
# Set correct permissons for /var/spool/sms/outgoing
# start with chmod 0777 /var/spool/sms/outgoing and then work back.

my $number="";
my $message="";

my $outfolder = "/var/spool/sms/outgoing";

if ($ARGV[0]) {$number=$ARGV[0];}

while (<STDIN>) { 
               if (/^NUMBER:/ && $number eq "") { 
                        chomp;
                        $number = $_;
                        $number =~ s/NUMBER//g;
                        $number =~ s/://g;
                        $number =~ s/\s//g;
		} else {
			$message .= $_ ;
		}
	}

# Send only if we have values for both number and 
if ($message ne "" && $number ne "") {
	my $tempfile=`mktemp $outfolder/sendsmsweb.out.XXXXXX`;
	open T, ">$tempfile" || 
	die "Cannot create tempfile ($outfolder/sendsmsweb.out.XXXXXX) : $_";
	print T "To: $number\n\n$message";
	close T;
}
